Subject: Re: linux-next: manual merge of the rr tree

From: Stephen Rothwell <[email-masked]>
Date: Mon, 29 Dec 2008 19:02:45 +1100

Hi Rusty,

On Mon, 29 Dec 2008 18:47:21 +1100 Stephen Rothwell <[email-masked]> wrote:
>
> Today's linux-next merge of the rr tree got a conflict in
> kernel/rcuclassic.c between commit
> 6a7b3dc3440f7b5a9b67594af01ed562cdeb41e4 ("sched: convert nohz_cpu_mask
> to cpumask_var_t") from the cpus4096 tree and commit
> fe9482e26320b110e102afa01f84c3302d0b1593 ("cpumask: convert RCU
> implementations") from the rr tree.
> 
> I fixed it up (used the rr tree version) and can carry the fix as
> necessary.

Which I assume was wrong since I got this warning:

kernel/rcuclassic.c: In function 'rcu_start_batch':
kernel/rcuclassic.c:398: warning: passing argument 3 of 'cpumask_andnot' from incompatible pointer type

So I added back the '&' on the third argument.
-- 
Cheers,
Stephen Rothwell                    [email-masked]
http://www.canb.auug.org.au/~sfr/